2018-12-12 18:31 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000222Branch 0.2.1-FINALBugpublic2016-11-23 10:09
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000222: filterName=page_footer, filterFunction=FILTER_DISPLAY_DEBUG_SQL - AUTO-UNREGISTERED!
DescriptionDiese Meldung tritt noch in den "Kurzscripten" auf, diese sind z.B. admin.php oder agb.php. Die Quelle des Problems liegt an ein paar Dingen, siehe Schritte zum Reproduzieren.

Es gibt hierzu zwei Lösungen: Das Regenerieren der Cache-Dateien sollte auch auf diesen Modus erweitert werden; das automatische Entfernen der vermeidlich nicht mehr vorhandenen Filter sollte ausgebaut werden.
Steps To Reproduce1. Die Cache-Dateien müssen dazu gelöscht sein, der "private Schlüssel" darf dabei noch stehen bleiben.
2. Der Ausgabemodus des Scriptes steht auf "Raw-Output" (was bei admin.php z.B. der Fall ist).
3. Da das Regenerieren der Cache-Dateien nicht im Raw-Modus passiert, "glaubt" die Funktion runFilterChain(), dass die nicht-standmaessigen Filter (also alle, die von Erweiterungen registriert worden sind) nicht registriert sind und versucht diese automatisch zu entfernen.
Additional InformationMessage:filterName=page_footer,filterFunction=FILTER_DISPLAY_DEBUG_SQL - AUTO-UNREGISTERED!
Backtrace:

%0 debug_report_bug(runFilterChain, 292, filterName=page_footer,filterFunction=FILTER_DISPLAY_DEBUG_SQL - AUTO-UNREGISTERED!) called at [D:\Mailer_0.2.1-FINAL\inc\filter-functions.php:292]
%1 runFilterChain(page_footer) called at [D:\Mailer_0.2.1-FINAL\inc\footer.php:50]
%2 include(D:\Mailer_0.2.1-FINAL\inc\footer.php) called at [D:\Mailer_0.2.1-FINAL\inc\inc-functions.php:129]
%3 loadInclude(inc/footer.php) called at [D:\Mailer_0.2.1-FINAL\inc\inc-functions.php:140]
%4 loadIncludeOnce(inc/footer.php) called at [D:\Mailer_0.2.1-FINAL\inc\template-functions.php:1186]
%5 app_die(runFilterChain, 292, Note: filterName=init,filterFunction=FILTER_INIT_TIMEZONE - AUTO-UNREGISTERED!

Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

    template-functions.php:1251, debug_get_printable_backtrace(0)
    filter-functions.php:292, debug_report_bug(3)
    load_cache.php:72, runFilterChain(1)
    inc-functions.php:129, include(1)
    inc-functions.php:140, loadInclude(1)
    mysql-connect.php:110, loadIncludeOnce(1)
    inc-functions.php:129, include(1)
    inc-functions.php:140, loadInclude(1)
    config-global.php:121, loadIncludeOnce(1)
    admin.php:49, require(1)

Request-URI: /mailer/admin.php
Thank you for finding bugs.
) called at [D:\Mailer_0.2.1-FINAL\inc\template-functions.php:1269]
%6 debug_report_bug(runFilterChain, 292, filterName=init,filterFunction=FILTER_INIT_TIMEZONE - AUTO-UNREGISTERED!) called at [D:\Mailer_0.2.1-FINAL\inc\filter-functions.php:292]
%7 runFilterChain(init) called at [D:\Mailer_0.2.1-FINAL\inc\load_cache.php:72]
%8 include(D:\Mailer_0.2.1-FINAL\inc\load_cache.php) called at [D:\Mailer_0.2.1-FINAL\inc\inc-functions.php:129]
%9 loadInclude(inc/load_cache.php) called at [D:\Mailer_0.2.1-FINAL\inc\inc-functions.php:140]
%10 loadIncludeOnce(inc/load_cache.php) called at [D:\Mailer_0.2.1-FINAL\inc\mysql-connect.php:110]
%11 include(D:\Mailer_0.2.1-FINAL\inc\mysql-connect.php) called at [D:\Mailer_0.2.1-FINAL\inc\inc-functions.php:129]
%12 loadInclude(inc/mysql-connect.php) called at [D:\Mailer_0.2.1-FINAL\inc\inc-functions.php:140]
%13 loadIncludeOnce(inc/mysql-connect.php) called at [D:\Mailer_0.2.1-FINAL\inc\config-global.php:121]
%14 require(D:\Mailer_0.2.1-FINAL\inc\config-global.php) called at [D:\Mailer_0.2.1-FINAL\admin.php:49]
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000564

Quix0r (administrator)

Mit neuster Revision kommt dies weiterhin vor:
------------------------------
Fehlermeldung: filterName=shutdown,filterFunction=FILTER_CACHE_DESTROY_FILTER - AUTO-UNREGISTERED!
------------------------------
Backtrace:
1.:template-functions.php:1291, debug_get_mailable_backtrace(0)
2.:filter-functions.php:294, reportBug(3)
3.:functions.php:1517, runFilterChain(2)
4.:wrapper-functions.php:1167, doShutdown(0)
5.:functions.php:430, sendRawRedirect(1)
6.:view.php:69, redirectToUrl(2)
------------------------------
Abfrage-String: /view.php?user=1&banner=3
------------------------------

Es war dann der Cache nicht vorhanden. Dieser muss dann durch Aufrufen von modules.php oder index.php neu aufgebaut werden. Danach funktioniert wieder das Weiterleitungsscript.

~0000638

Quix0r (administrator)

Ist nicht mehr reproduzierbar.

~0000676

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2012-07-04 06:25 Quix0r New Issue
2012-07-04 06:25 Quix0r Status new => assigned
2012-07-04 06:25 Quix0r Assigned To => Quix0r
2012-07-04 06:25 Quix0r Additional Information Updated View Revisions
2012-07-04 06:26 Quix0r Additional Information Updated View Revisions
2012-10-02 22:41 Quix0r Note Added: 0000564
2013-06-04 14:24 Quix0r Note Added: 0000638
2013-06-04 14:24 Quix0r Status assigned => resolved
2013-06-04 14:24 Quix0r Fixed in Version => 0.2.1-FINAL
2013-06-04 14:24 Quix0r Resolution open => fixed
2013-06-08 12:12 Quix0r Summary Message:filterName=page_footer,filterFunction=FILTER_DISPLAY_DEBUG_SQL - AUTO-UNREGISTERED! => filterName=page_footer, filterFunction=FILTER_DISPLAY_DEBUG_SQL - AUTO-UNREGISTERED!
2016-11-23 10:09 Quix0r Note Added: 0000676
2016-11-23 10:09 Quix0r Status resolved => closed
+Issue History